$(document).ready(() ->
  $('.channel-path').click((e) ->
    newPath = prompt('New channel directory path', $(this).find('span').text())
    if newPath
      payload =
        directory_path: newPath
      channelId = $('#channel-id').val()
      $.post('/channel/' + channelId + '/edit/directory_path', payload, (data) ->
        if data == 'success'
          $('.channel-path span').text(newPath)
      )
  )

  $('.video-status').click((e) ->
    newStatus = prompt('New video status', $(this).find('span').text())
    if newStatus
      newStatus = newStatus.toLowerCase()
      payload =
        status: newStatus
      videoId = $('#video-id').val()
      $.post('/video/' + videoId + '/edit/status', payload, (data) ->
        if data == 'success'
          $('.video-status span').text(capitalizeWord(newStatus))
      )
  )

  $('.video-serial').click((e) ->
    newSerial = prompt('New video serial number', $(this).find('span').text())
    if newSerial
      payload =
        serial: newSerial
      videoId = $('#video-id').val()
      $.post('/video/' + videoId + '/edit/serial', payload, (data) ->
        if data == 'success'
          $('.video-serial span').text(newSerial)
      )
  )
)

capitalizeWord = (str) ->
  return str.charAt(0).toUpperCase() + str.slice(1)
